Name:           avidemux
Version:        2.1.2
Release:        1%{?dist}
Summary:        Graphical video editing tool

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.avidemux.org/
Source0:        http://download.berlios.de/avidemux/avidemux-2.1.2.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 0:2.6.0
BuildRequires:  nasm >= 0:0.98.38
BuildRequires:  arts-devel >= 0:1.2.2
BuildRequires:  alsa-lib-devel >= 0:1.0.3a
BuildRequires:  xvidcore-devel >= 0:1.0.2
BuildRequires:  libmad-devel >= 0:0.15.1
BuildRequires:  SDL-devel >= 0:1.2.7
BuildRequires:  libvorbis-devel >= 0:1.0.1
BuildRequires:  libogg-devel >= 0:1.1
BuildRequires:  faad2-devel >= 0:2.0		
BuildRequires:  faac-devel >= 0:1.24		
BuildRequires:  a52dec-devel >= 0:0.7.4
BuildRequires:  libxml2-devel >= 0:2.6.8
BuildRequires:  lame-devel >= 0:3.96.1
BuildRequires:  libtool >= 0:1.5.6
BuildRequires:  gettext >= 0:0.14.1
BuildRequires:  desktop-file-utils
BuildRequires:  js-devel

%description
Avidemux is a graphical tool to edit AVI. It allows you to multiplex and
demultiplex audio to/from video.

It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX 
compatible encoder and the Gimp Toolkit (GTK) libraries.


%prep
%setup -q -n avidemux-%{version}

%build
%configure \
%ifarch ppc ppc64
  --enable-altivec \
%endif
%ifarch x86_64
  --with-newfaad \
%endif
  --with-jsapi-include=%{_includedir}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor livna \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Livna \
    %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog History README TODO
%{_bindir}/avidemux2
%{_datadir}/applications/*


%changelog
* Mon Jul 24 2006 Jakub Wojnowski <kuba@aurox.org>
- initial Aurox release

* Mon Apr 03 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.1.2-1
- Update to 2.1.2

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed Jan 04 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.0-0.lvn.1
- Update to 2.1.0
- Drop epoch
- gtk 2.6 now, so drop FC3 support

* Sat Aug 27 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.3
- Remove bogus BR ffmpeg-devel (#555)

* Thu Jul 09 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.2
- Add missing BR desktop-file-utils (thanks to ixs)

* Thu Jul 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.1
- Update to 2.0.42

* Sat Jan 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.36-0.lvn.1
- Update to 2.0.34
- Rename package to avidemux -- no need for avidemux2 afaics

* Sun Nov 21 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.34-0.lvn.1.test1
- Update to 2.0.34-test1
- BR gettext, libtool

* Tue Oct 18 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.30-0.lvn.1
- Initial RPM release.
